Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Interface FetchGroupTracker

public interface FetchGroupTracker

Purpose: The fetch group tracker interface provides a set of APIs which the domain object must implement, in order to take advantage of the TopLink fetch group performance enhancement feature.

Since:
  TopLink 10.1.3
See Also:
  `FetchGroup`

Method Summary
`FetchGroup` | `getFetchGroup()` Return the fetch group being tracked
`boolean` | `isAttributeFetched(java.lang.String attribute)` Return true if the attribute is in the fetch group being tracked.
`void` | `resetFetchGroup()` Reset all attributes of the tracked object to the unfetched state with initial default values.
`void` | `setFetchGroup(FetchGroup group)` Set a fetch group to be tracked.
`void` | `setShouldRefreshFetchGroup(boolean shouldRefreshFetchGroup)` Set true if the fecth group attributes should be refreshed
`boolean` | `shouldRefreshFetchGroup()` Return true if the fecth group attributes should be refreshed

Method Detail

### getFetchGroup

    public FetchGroup getFetchGroup()

  Return the fetch group being tracked

### setFetchGroup

    public void setFetchGroup(FetchGroup group)

  Set a fetch group to be tracked.

### isAttributeFetched

    public boolean isAttributeFetched(java.lang.String attribute)

  Return true if the attribute is in the fetch group being tracked.

### resetFetchGroup

    public void resetFetchGroup()

  Reset all attributes of the tracked object to the unfetched state with initial default values.

### shouldRefreshFetchGroup

    public boolean shouldRefreshFetchGroup()

  Return true if the fecth group attributes should be refreshed

### setShouldRefreshFetchGroup

    public void setShouldRefreshFetchGroup(boolean shouldRefreshFetchGroup)

  Set true if the fecth group attributes should be refreshed

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD